Program IskolaiAdatbazisGeneralas;
  Uses Newdelay,Crt;
  (*
    Az adatbazis elem tipusa=Nev+SzemSzam
    TElem=Record
            nev:TNev{String[M]};
            szsz:TNev{String[M]};
           End;
    E 2 adat szerepel majd a generalt TEXT-ben, soronkent 1 adattal.
    (Azaz 1 elem adatai 2 sorban.) Az elso sorban az elemek szama.

    A kereso file-ban csak kulcsok (nevek) szerepelnek.
    A file elejen garantaltan olyanok, amelyek az alap adatok kozt is
    elofordulnak.
  *)

  {$i RandNev.inc -- Veletelen Nev, Cim, Telefon-, Szem.szam generalo rutinok}
  {$i AltRutin.inc -- mindenfele altalanos rutin}

  Const tollSzin=Black;
        papirSzin=White;
        Blink=128;
  Var   N:LongInt;
        af:Text;
        afN:String;

  Procedure FileMegnyitas(Var fN:String; Var f:Text);
    Var  hiba:Integer;
  Begin
    Repeat
      Write('Alapadat file neve (*.dat):');
      Readln(fN);
      {$i-}
      Assign(f,fN+'.dat'); Reset(f);
      hiba:=IOResult;
      If hiba<>0 then
      Begin
        Rewrite(f);
        hiba:=IOResult;
        If hiba<>0 then
        Begin
          TextColor(Red+Blink);
          Writeln('A file nem nyithat meg:');
          Writeln('  Hibs file-nv.');
          TextColor(tollSzin);
        End
      End
        Else
      Begin
        hiba:=-1;
        TextColor(Red+Blink);
        Writeln('A file nem nyithat meg:');
        Writeln('  Ilyen file mr van.');
        TextColor(tollSzin);
      End;
      {$i+}
    Until hiba=0;
  End;

  Procedure ParameterBeolvasas;
  Begin
    UjLap('Iskolai adatbzis-file generlsa -- Alap-paramterek',0);
    FileMegnyitas(aFn,aF);
    Repeat
      Write('Elemszm:');
      {$i-}
      Readln(N)
      {$i+}
    Until N>0;
  End;

  Procedure AdatFileGeneralas;
    Var i:LongInt;
        nev,szsz:TNev;
  Begin
    UjLap('Iskolai adatbzis generls',0);
    ParameterBeolvasas;
    Writeln(aF,N); Write(CrLf,N:5,CrLf);
    For i:=1 to N do
    Begin
      HighVideo; Write(i:5); NormVideo;
      nev:=RandomNev; Writeln(aF,nev); Write(nev:25,'');
      If noE then szsz:=RandomSzemSzam('2') else szsz:=RandomSzemSzam('1');;
      Writeln(aF,szsz); Writeln(szsz:11);
    End;
    Close(aF);
  End;

Begin
  TextColor(tollSzin); TextBackground(papirSzin);
  UjLap('Iskolai adatbzis generls',0);
  Writeln(CrLf,'Tudnivalk a generlt file-rl:',CrLf);
  Writeln('  A file Nv+Szem.szm (TElem) adatkettskbl ll.');
  Writeln('  E 2 adat szerepel majd a generlt TEXT-ben, soronknt 1 adattal.');
  Writeln('  Azaz 1 elem adatai 2 sorban.');
  Writeln('  Az els sorban az elemek szma.');
  UjLap('',-1);
  AdatFileGeneralas;
  BillreVar;
End.